Subject: [manet] cfp: IJSWIS Special Issue on Mobile Services and Ontologies MoSO 2007

From: MoSO <[email-masked]>
Date: Wed, 2 May 2007 16:14:18 +0200

***We apologize for cross-postings***

Call for Papers

International Journal on Semantic Web and Information Systems
http://www.idea-group.com/journals/details.asp?ID=4625

Special Issue on Mobile Services and Ontologies

Submission Deadline: May 31, 2007

Guest Editors

- Christoph Bussler (Cisco Systems, Inc., USA)
  [email-masked]
- Birgitta König-Ries (University of Jena, Germany)
  [email-masked]
- Dumitru Roman (DERI Innsbruck, Austria)
  [email-masked]
- Jari Veijalainen (University of Jyvaskyla, Finland)
  [email-masked]

Scope and Topics

Today, computers are changing from big, grey, and noisy equipment on
our desks to
small, portable, and constantly connected devices most of us are
carrying around.
This new form of device mobility imposes a shift in how we view
computers and the
way we use them.

Services offer the possibility to overcome the limitations of individual mobile
devices by making functionality offered by others available on an
as-needed basis.
Thus, using the service-oriented computing paradigm in mobile environments will
considerably enlarge the variety of accessible applications and will enable new
business opportunities in the mobile space by delivering integrated
functionalities
across wireless networks. Network-hosted mobile services will allow
mobile operators
and third party mobile service providers to extend their businesses by
making their
services available to a broader audience (e.g. developers, service
providers, etc.);
device-hosted services will allow great potential for major innovations for
applications and services that can be provided to individual mobile
device owners.

These mobile services offer functionalities and behaviours that can be
described,
advertised, discovered, and composed by others. Eventually, services
will be able
to interoperate even though they have not been designed to work
together. This type
of interoperability is based on the ability to understand other
services and reason
about their functionalities and behaviours when necessary. In this
respect, mobile
services could benefit from the techniques developed for the Semantic
Web. Use of
Semantic Web languages, techniques and technologies, including
ontologies, semantic
annotations (of both content and services), automatic metadata
extraction, reasoning,
etc. may offer new capabilities for mobile applications. However,
standard semantic
web tools and technologies are too heavy-weight for small mobile
devices. The need to
appropriately combine and adapt mobility and semantic grounded data sharing has
generated and is continuously triggering challenging questions in
several areas of
computer science, engineering and networking.

This special issue will cover research problems around methods,
concepts, models,
languages and technologies that enable new opportunities in the mobile space
through adoption, usage, and integration of mobile services with ontologies and
other Semantic Web enablers. Of particular interest are methodologies
and technologies
that will allow automatic tasks to be performed with respect to mobile services
and the use of ontologies and semantic techniques in this context.

Topics of interest include, but are not limited to the following which involve
ontologies or other Semantic Web capabilities:

Architectures for mobile internet services
- languages for describing mobile services
- discovery and matchmaking of ontology based mobile services
- adaptive selection of mobile services
- ontology management in mobile environments
- contracting and negotiation with ontology-based mobile services
  (service level agreements)
- Semantic annotation and reasoning involving semantic metadata
- combining thematic metadata with locational/georeference metadata
   in mobile applications
- approaches to composition of ontology based mobile services
- invocation, adaptive execution, monitoring, and management of
  mobile services
- interaction protocols and conversation models for mobile services
- ontology-based security and privacy issues in mobile services
- mobile service applications
- analysis and design approaches for mobile services
- reasoning with mobile services
- ontology-based policies for mobile services
- tools for discovery, matchmaking, selection, mediation, composition,
  management, and monitoring of mobile services
- mobile service development
- multi agent systems and mobile services

Submission Process

Submissions to this special issue should follow the journal's guidelines for
submission (http://www.idea-group.com/journals/details.asp?ID=4625&v=guidelines).
After submitting the paper, please also inform guest editors by an
email with the
paper ID assigned by the submission system. Papers must be of high quality and
should clearly state the technical issue(s) being addressed as related to
mobile services and ontologies. Research papers should present a proof of
concept for any novel technique they are proposing. Case studies should
discuss the significance and applicability of their proposed
architecture/system.
If a submission is based on a prior publication in a workshop or conference,
the journal submission must involve substantial advance (a min. of 30%)
in conceptual terms as well as in exposition (e.g., more comprehensive
testing/evaluation/validation or additional applications/usage).

All papers must be submitted by May 31, 2007. The editors recommend that the
number of pages should not exceed 35. All papers are subject to peer review
performed by three established researchers selected from a panel of reviewers
established for this special issue. Accepted papers have an opportunity for
further revision and an additional round of reviewer feedback.
Information on  the journal with online submission can be found at:
http://www.ijswis.org.
Please submit manuscripts through that online system.

Online call for this special issue can be found at
http://www.ijswis.org/cfp/mobileservices.html

Important Dates
--------------------
- Submissions: May 31, 2007
- Completion of first round of reviews July 31
- Notifications: August 15, 2007
- Revised papers: October 31, 2007
- Notifications of final acceptance: November 30, 2007
- Final papers: December 31, 2007
- Publication: First or Second issue 2008 (Vol. 4, issue 1 or 2)

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet